Deployments.ai Docs
Memory

Create a memory space

POST /v1/memory-spaces · SDK createMemorySpace · CLI deployments memory-space create

POST
/v1/memory-spaces

Requires memory:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
description?string
kind?string
Value in"agent""organization""shared""workspace"
name*string
retentionDays?integer
Range1 <= value <= 3650
workspaceId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X POST "https://example.com/v1/memory-spaces" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{}